<?php

/**
 * TGM Plugin Activation Class
 *
 * @see: http://tgmpluginactivation.com/
 */
require get_template_directory() . '/inc/tgm/class-tgm-plugin-activation.php';

if ( ! function_exists( 'wp_tm_register_recommended_plugins' ) ) {
	function wp_tm_register_recommended_plugins() {
		$plugins = array(
			array(
				'name'     => 'Temp Mail',
				'slug'     => 'temp-mail',
				'required' => false,
			),
			array(
				'name'     => 'Elementor Page Builder',
				'slug'     => 'elementor',
				'required' => false,
			),
			array(
				'name'     => 'Moose Elementor Kit',
				'slug'     => 'moose-elementor-kit',
				'required' => false,
			),
			array(
				'name'     => 'Post Views Counter',
				'slug'     => 'post-views-counter',
				'required' => false,
			),
		);

		$config = array(
			'id'           => 'temp-mail-x',
			'default_path' => '',
			'menu'         => 'tgmpa-install-plugins',
			'has_notices'  => true,
			'dismissable'  => true,
			'dismiss_msg'  => '',
			'is_automatic' => false,
			'message'      => '',
		);

		tgmpa( $plugins, $config );
	}
}
add_action( 'tgmpa_register', 'wp_tm_register_recommended_plugins' );
