<?php
/**
 * The main template file.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Temp Mail
 */

get_header();

if ( is_home() ) {
	wp_tm_do_elementor_location( 'archive', 'template-parts/special', 'loop' );
} else if ( is_archive() ) {
	wp_tm_do_elementor_location( 'archive', 'template-parts/special', 'archive' );
} else if ( is_search() ) {
	wp_tm_do_elementor_location( 'archive', 'template-parts/special', 'search' );
} else if ( is_singular() ) {
	wp_tm_do_elementor_location( 'single', 'template-parts/special', 'single' );
} else {
	wp_tm_do_elementor_location( 'single', 'template-parts/content', 'none' );
}

get_footer();
