<?php

/**
 * The default primary sidebar.
 *
 * @see https://developer.wordpress.org/themes/basics/template-files/#template-partials
 */
$default_sidebar = apply_filters( 'wp_tm_filter_default_sidebar_id', 'sidebar-primary', 'primary' );
?>

<?php if ( is_active_sidebar( $default_sidebar ) ): ?>
    <div class="widgets sidebar-primary shrink-0 p-half-gutter w-full lg:w-1/3" role="complementary">
		<?php dynamic_sidebar( $default_sidebar ); ?>
    </div>
<?php endif; ?>
