<?php

$customizer_links = array(
	array(
		'label' => __( 'Set Your Logo', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-smiley',
		'type'  => 'control',
		'id'    => 'custom_logo',
	),
	array(
		'label' => __( 'Set Menus', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-menu-alt',
		'type'  => 'panel',
		'id'    => 'nav_menus',
	),
	array(
		'label' => __( 'Set Widgets', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-welcome-widgets-menus',
		'type'  => 'panel',
		'id'    => 'widgets',
	),
	array(
		'label' => __( 'Customize Header Menu Style', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-admin-appearance',
		'type'  => 'section',
		'id'    => 'wp_tm_header_section',
	),
	array(
		'label' => __( 'Homepage Settings', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-admin-home',
		'type'  => 'section',
		'id'    => 'static_front_page',
	),
	array(
		'label' => __( 'Customize Frontpage Header Menu Style', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-admin-appearance',
		'type'  => 'section',
		'id'    => 'wp_tm_frontpage_header_section',
	),
	array(
		'label' => __( 'Customize Frontpage Hero', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-superhero',
		'type'  => 'section',
		'id'    => 'wp_tm_hero_section',
	),
	array(
		'label' => __( 'Customize Colors', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-color-picker',
		'type'  => 'section',
		'id'    => 'colors',
	),
	array(
		'label' => __( 'Customize Typography', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-editor-textcolor',
		'type'  => 'section',
		'id'    => 'wp_tm_typography_section',
	),
	array(
		'label' => __( 'Customize Containers', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-layout',
		'type'  => 'section',
		'id'    => 'wp_tm_container_section',
	),
	array(
		'label' => __( 'Customize Sidebars', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-align-pull-right',
		'type'  => 'section',
		'id'    => 'wp_tm_sidebar_section',
	),
	array(
		'label' => __( 'Change Archive Layout & Content', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-grid-view',
		'type'  => 'control',
		'id'    => 'wp_tm_posts_layout_and_content',
	),
	array(
		'label' => __( 'Customize Archive Style', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-admin-appearance',
		'type'  => 'control',
		'id'    => 'wp_tm_button_style',
	),
	array(
		'label' => __( 'Customize Footer Style', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-align-left',
		'type'  => 'control',
		'id'    => 'wp_tm_footer_style',
	),
	array(
		'label' => __( 'Change Copyright', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-info',
		'type'  => 'control',
		'id'    => 'wp_tm_copyright_text',
	),
	array(
		'label' => __( 'Disable Preloader', 'temp-mail-x' ),
		'icon'  => 'dashicons dashicons-update',
		'type'  => 'control',
		'id'    => 'wp_tm_disable_preloader',
	),
);

$video_links = array(
	array(
		'label' => __( '00. setting homepage', 'temp-mail-x' ),
		'url'   => 'https://vimeo.com/692557947'
	),
	array(
		'label' => __( '01. show mailbox in hero', 'temp-mail-x' ),
		'url'   => 'https://vimeo.com/692557960'
	),
	array(
		'label' => __( '02. customize hero background', 'temp-mail-x' ),
		'url'   => 'https://vimeo.com/692557970'
	),
	array(
		'label' => __( '03. particles & shape divider', 'temp-mail-x' ),
		'url'   => 'https://vimeo.com/692557992'
	),
	array(
		'label' => __( '04. setting logo', 'temp-mail-x' ),
		'url'   => 'https://vimeo.com/692558017'
	),
	array(
		'label' => __( '05. show hero in archive', 'temp-mail-x' ),
		'url'   => 'https://vimeo.com/692558029'
	),
	array(
		'label' => __( '06. archive settings', 'temp-mail-x' ),
		'url'   => 'https://vimeo.com/692558052'
	),
	array(
		'label' => __( '07. customize typography', 'temp-mail-x' ),
		'url'   => 'https://vimeo.com/692558073'
	),
	array(
		'label' => __( '08. lightbox effect', 'temp-mail-x' ),
		'url'   => 'https://vimeo.com/692558091'
	),
	array(
		'label' => __( '09 customize sidebar', 'temp-mail-x' ),
		'url'   => 'https://vimeo.com/692558106'
	)
);


?>
<div class="wrap wp-tm-theme-admin-page">
    <div class="wp-tm-theme-admin-hero">
        <svg data-name="wp-tm-logo"
             class="wp-tm-theme-logo"
             viewBox="0 0 18 15.6"
             version="1.1"
             width="32px"
             height="32px"
             xmlns="http://www.w3.org/2000/svg"
        >
            <path class="cls-1" d="M7.27,12.69.94,17.24a.84.84,0,0,1-.07-.35V8.26A1,1,0,0,1,.9,8Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="cls-1" d="M18.87,8.26v8.63a.84.84,0,0,1-.07.35L12.48,12.7l6.37-4.62a1.1,1.1,0,0,1,0,.18Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="cls-1"
                  d="M10.4,11.94l8,5.75a1,1,0,0,1-.42.1H1.77a.87.87,0,0,1-.42-.1l8-5.75a.89.89,0,0,1,1.05,0Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="cls-1"
                  d="M8.09,5.79,8.3,10a.3.3,0,0,0,.3.28h2.54a.3.3,0,0,0,.3-.28l.22-4.22Zm1.18,3.6a.29.29,0,0,1-.3.3.3.3,0,0,1-.3-.3V6.69a.31.31,0,0,1,.3-.3.3.3,0,0,1,.3.3Zm.9,0a.29.29,0,0,1-.3.3.3.3,0,0,1-.3-.3V6.69a.31.31,0,0,1,.3-.3.3.3,0,0,1,.3.3Zm.3-2.7a.31.31,0,0,1,.3-.3.3.3,0,0,1,.3.3v2.7a.29.29,0,0,1-.3.3.3.3,0,0,1-.3-.3"
                  transform="translate(-0.87 -2.19)"/>
            <path class="cls-1"
                  d="M7.17,5a.15.15,0,0,1,.15-.15h5.1a.15.15,0,0,1,.15.15.15.15,0,0,1-.15.15H7.32A.15.15,0,0,1,7.17,5Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="cls-1"
                  d="M7.78,12.33,9,11.45a1.52,1.52,0,0,1,1.75,0l1.21.88,4.21-3.05V3.09a.9.9,0,0,0-.9-.9H4.47a.9.9,0,0,0-.9.9V9.22Zm-.46-8h1a.9.9,0,0,1,.9-.9h1.2a.91.91,0,0,1,.9.9h1.05a.75.75,0,0,1,0,1.5h-.16L12,10a.9.9,0,0,1-.9.85H8.6A.9.9,0,0,1,7.7,10L7.49,5.79H7.32a.75.75,0,0,1,0-1.5Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="cls-1" d="M10.77,4.29H9a.31.31,0,0,1,.3-.3h1.2a.31.31,0,0,1,.3.3Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="cls-1" d="M18.54,7.56,16.77,8.84V6.62C16.82,6.66,18.59,7.54,18.54,7.56Z"
                  transform="translate(-0.87 -2.19)"/>
            <path class="cls-1" d="M3,8.79,1.24,7.53S2.94,6.64,3,6.62Z" transform="translate(-0.87 -2.19)"/>
        </svg>
        <h1 class="wp-tm-theme-admin-hero-title">
			<?php esc_html_e( 'Welcome to Temp Mail Theme', 'temp-mail-x' ); ?>
        </h1>
    </div>

    <div class="wp-tm-theme-admin-sections">
        <!-- Temp Mail -->
        <div class="wp-tm-theme-admin-section">
            <div class="wp-tm-theme-admin-section-content">
                <h3 class="wp-tm-theme-admin-section-title">
                    <span class="wp-tm-theme-admin-section-icon dashicons dashicons-admin-plugins"></span>
					<?php esc_html_e( 'Integrated WP Temp Mail plugin', 'temp-mail-x' ); ?>
                </h3>
                <p>
					<?php
					printf(
						__( 'This theme come with a beautiful ui for the %1$s plugin, by integrating the %1$s plugin, your can make your WordPress site support temporary mailbox service (as know as disposable email, trash mail or 10 minute mail).', 'temp-mail-x' ),
						'<a href="https://www.wpmoose.com/plugins/wp-temp-mail" target="_blank">WP Temp Mail</a>'
					)
					?>
                </p>
                <p>
                    <a href="<?php echo esc_url( add_query_arg( array( 'action' => 'wp_tm_install_temp_mail' ), admin_url( 'admin.php' ) ) ) ?>"
                       class="button button-primary">
						<?php esc_html_e( 'Get Started', 'temp-mail-x' ); ?>
                    </a>
                    <a href="https://wp-temp-mail.com/category/wp-temp-mail/" target="_blank"
                       class="button button-primary">
						<?php esc_html_e( 'Learn More', 'temp-mail-x' ); ?>
                    </a>
                    <a href="https://wp-temp-mail.com/" target="_blank">
						<?php esc_html_e( 'Demo Site', 'temp-mail-x' ); ?>
                    </a>
                </p>
            </div>
        </div>

        <!-- Elementor -->
        <div class="wp-tm-theme-admin-section">
            <div class="wp-tm-theme-admin-section-content">
                <h3 class="wp-tm-theme-admin-section-title">
                    <span class="wp-tm-theme-admin-section-icon dashicons dashicons-admin-plugins"></span>
					<?php esc_html_e( 'Drag And Drop Site Builder', 'temp-mail-x' ); ?>
                </h3>
                <p>
					<?php
					printf(
						__( 'Now you can build beautiful pages with the most advanced drag and drop %s with our %s!', 'temp-mail-x' ),
						'<a href="https://wordpress.org/plugins/elementor/" target="_blank">Elementor Page Builder</a>',
						'<a href="https://kit.wpmoose.com/" target="_blank"><strong>Moose Elementor kit</strong></a>'
					)
					?>
                </p>
                <p>
                    <a href="<?php echo esc_url( add_query_arg( array( 'action' => 'wp_tm_install_elementor_kit' ), admin_url( 'admin.php' ) ) ) ?>"
                       class="button button-primary">
						<?php esc_html_e( 'Get Started', 'temp-mail-x' ); ?>
                    </a>
                </p>
            </div>
        </div>
    </div>

    <div class="wp-tm-theme-admin-sections">
        <div class="wp-tm-theme-admin-section">
            <div class="wp-tm-theme-admin-section-content wp-tm-theme-admin-links">
                <div>
                    <h3 class="wp-tm-theme-admin-section-title">
                        <span class="wp-tm-theme-admin-section-icon dashicons dashicons-admin-appearance"></span>
						<?php esc_html_e( 'Links to Customizer Settings', 'temp-mail-x' ); ?>
                    </h3>
                    <p class="mb-gutter">
						<?php esc_html_e( "The quickest way to find the location of frequently used theme customizer settings.", 'temp-mail-x' ); ?>
                    </p>
                    <div class="wp-tm-customizer-options">
						<?php foreach ( $customizer_links as $link ): ?>
                            <div class="wp-tm-customizer-option">
                                <span class="wp-tm-customizer-option-icon <?php echo esc_attr( $link['icon'] ) ?>"></span>
                                <a class="wp-tm-customizer-option-label"
                                   target="_blank"
                                   href="<?php echo esc_url( wp_tm_customizer_url( $link['type'], $link['id'] ) ); ?>">
									<?php echo esc_html( $link['label'] ); ?>
                                </a>
                            </div>
						<?php endforeach; ?>
                    </div>
                </div>

                <div>
                    <h3 class="wp-tm-theme-admin-section-title">
                        <span class="wp-tm-theme-admin-section-icon dashicons dashicons-format-video"></span>
						<?php esc_html_e( 'Video Tutorial', 'temp-mail-x' ); ?>
                    </h3>
                    <p class="mb-gutter">
						<?php esc_html_e( "We provide a set of step-by-step videos for a quick start. You can learn most of the features of this theme in minutes.", 'temp-mail-x' ); ?>
                    </p>
                    <div class="wp-tm-customizer-options">
						<?php foreach ( $video_links as $link ): ?>
                            <div class="wp-tm-customizer-option">
                                <a class="wp-tm-customizer-option-label" target="_blank"
                                   href="<?php echo esc_url( $link['url'] ); ?>">
									<?php echo esc_html( $link['label'] ); ?>
                                </a>
                            </div>
						<?php endforeach; ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="wp-tm-theme-admin-section">

            <div class="wp-tm-theme-admin-inner-section">
                <div class="wp-tm-theme-admin-section-content">
                    <h3 class="wp-tm-theme-admin-section-title">
                        <span class="wp-tm-theme-admin-section-icon dashicons dashicons-admin-comments"></span>
						<?php esc_html_e( 'Contact Us', 'temp-mail-x' ); ?>
                    </h3>
                    <h4>
						<?php esc_html_e( "Have a question or want a new feature? We are happy to help!", 'temp-mail-x' ); ?>
                    </h4>
                    <p>
						<?php esc_html_e( "We'll do our best to get back to you as soon as we can.", 'temp-mail-x' ); ?>
                    </p>

                    <a class="button button-primary"
                       href="<?php echo esc_url( network_admin_url( 'admin.php?page=wp-tm-theme-contact' ) ) ?>">
						<?php esc_html_e( 'Get Start', 'temp-mail-x' ); ?>
                    </a>
                </div>
            </div>

			<?php if ( wp_tm_fs()->is_not_paying() ): ?>
                <div class="wp-tm-theme-admin-inner-section">
                    <div class="wp-tm-theme-admin-section-content">
                        <h3 class="wp-tm-theme-admin-section-title">
                            <span class="wp-tm-theme-admin-section-icon dashicons dashicons-superhero-alt"></span>
							<?php esc_html_e( 'Upgrade Pro', 'temp-mail-x' ); ?>
                        </h3>

                        <p>
							<?php esc_html_e( 'Want more features? Why not take a look at our Pro version?', 'temp-mail-x' ); ?>
                        </p>

                        <a class="button button-primary" target="_blank"
                           href="https://www.wpmoose.com/themes/wp-temp-mail-x-theme/?ref=admin-page">
							<?php esc_html_e( 'Learn More', 'temp-mail-x' ); ?>
                        </a>
                    </div>
                </div>
			<?php endif; ?>
        </div>
    </div>
</div>

