<?php

/**
 * The template part for page.
 *
 * @package Temp Mail
 */
$layout = get_wp_tm_sidebar_layout( 'page' );
$wrap_clsx = array(
    'container mx-auto py-half-gutter lg:flex',
    'no-sidebar' => $layout === 'no-sidebar',
    'lg:flex-row' => $layout === 'right-sidebar',
    'lg:flex-row-reverse' => $layout === 'left-sidebar'
);
?>

<div class="<?php 
wp_tm_clsx_echo( $wrap_clsx );
?>">
    <div class="flex-grow p-half-gutter">
        <div id="content" class="content p-gutter <?php 
echo  get_wp_tm_page_container_style() ;
?>">
			<?php 
// posts loop
while ( have_posts() ) {
    the_post();
    /**
     * Hook - wp_tm_action_before_page.
     */
    do_action( 'wp_tm_action_before_page' );
    /**
     * Hook - wp_tm_action_page.
     *
     * @hooked wp_tm_show_page_content     - 10
     */
    do_action( 'wp_tm_action_page', $layout );
    echo  '<div class="max-w-prose mx-auto mt-gutter">' ;
    /**
     * Hook - wp_tm_action_after_page.
     *
     * @hooked wp_tm_add_comments              - 30
     */
    do_action( 'wp_tm_action_after_page' );
    echo  '</div>' ;
}
?>
        </div>
    </div>

	<?php 
/**
 * Hook - wp_tm_action_sidebar.
 *
 * @hooked wp_tm_add_primary_sidebar   - 10;
 */
do_action( 'wp_tm_action_sidebar', $layout );
?>
</div>
