<?php
/**
 * The template for search result page.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Temp Mail
 */
?>

<?php if ( have_posts() ): ?>
    <header class="container mx-auto px-half-gutter my-gutter">
        <h1 class="text-2xl font-bold">
			<?php
			/* translators: %s: Keywords searched by users */
			printf( esc_html__( 'Search Results for: %s', 'temp-mail-x' ), '<span>' . get_search_query() . '</span>' );
			?>
        </h1>
    </header>
<?php endif; ?>

<?php get_template_part( 'template-parts/special', 'loop' ) ?>
