<?php
/**
 * Template part for inbox section in frontpage.
 *
 * @package Temp Mail
 */
?>

<div class="max-w-screen-md mx-auto my-double-gutter px-half-gutter overflow-auto">
	<?php
	if ( WP_TEMP_MAIL_PLUGIN_ACTIVE ) {
		echo do_shortcode( '[tm-alerts]' );
		echo do_shortcode( '[tm-inbox]' );
		echo do_shortcode( '[tm-pagination]' );
	} else if ( current_user_can( 'administrator' ) ) {
		?>
        <div class="text-center">
            <a class="btn btn-primary"
               href="<?php echo esc_url( add_query_arg( array( 'action' => 'wp_tm_install_temp_mail' ), admin_url( 'admin.php' ) ) ) ?>">
				<?php esc_html_e( 'Install Temp Mail Plugin', 'temp-mail-x' ); ?>
            </a>
        </div>
		<?php
	}
	?>
</div>
